package com.justep.demo.springboot.model;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;


@TableName(value="demo_customers")
public class Customer implements Serializable {
	private static final long serialVersionUID = 1L;
	
	@TableId(value = "fCustomerID")
	private String fCustomerID;

	private String fAddress;

	private String fCity;

	private String fCompanyName;

	private String fContactName;

	private String fContactTitle;

	private String fCountry;

	private String fFax;

	private String fPhone;

	private String fPostalCode;

	private String fRegion;

	private int version;

	public Customer() {
	}

	public String getFCustomerID() {
		return this.fCustomerID;
	}

	public void setFCustomerID(String fCustomerID) {
		this.fCustomerID = fCustomerID;
	}

	public String getFAddress() {
		return this.fAddress;
	}

	public void setFAddress(String fAddress) {
		this.fAddress = fAddress;
	}

	public String getFCity() {
		return this.fCity;
	}

	public void setFCity(String fCity) {
		this.fCity = fCity;
	}

	public String getFCompanyName() {
		return this.fCompanyName;
	}

	public void setFCompanyName(String fCompanyName) {
		this.fCompanyName = fCompanyName;
	}

	public String getFContactName() {
		return this.fContactName;
	}

	public void setFContactName(String fContactName) {
		this.fContactName = fContactName;
	}

	public String getFContactTitle() {
		return this.fContactTitle;
	}

	public void setFContactTitle(String fContactTitle) {
		this.fContactTitle = fContactTitle;
	}

	public String getFCountry() {
		return this.fCountry;
	}

	public void setFCountry(String fCountry) {
		this.fCountry = fCountry;
	}

	public String getFFax() {
		return this.fFax;
	}

	public void setFFax(String fFax) {
		this.fFax = fFax;
	}

	public String getFPhone() {
		return this.fPhone;
	}

	public void setFPhone(String fPhone) {
		this.fPhone = fPhone;
	}

	public String getFPostalCode() {
		return this.fPostalCode;
	}

	public void setFPostalCode(String fPostalCode) {
		this.fPostalCode = fPostalCode;
	}

	public String getFRegion() {
		return this.fRegion;
	}

	public void setFRegion(String fRegion) {
		this.fRegion = fRegion;
	}

	public int getVersion() {
		return this.version;
	}

	public void setVersion(int version) {
		this.version = version;
	}

}