package com.justep.demo.controller;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.justep.demo.springboot.dao.CustomerMapper;
import com.justep.demo.springboot.model.Customer;

@RestController
public class DataTestController {

	@Autowired
	private CustomerMapper customerMapper;

	@RequestMapping("/datatest")
    public String getEnv() {
		StringBuffer sb = new StringBuffer();
		
        sb.append("<h1>demo-springboot</h1>");
        sb.append("<table border=1 style='width: 100%; table-layout: fixed; white-space: pre-wrap; word-wrap: break-word;'><tr><th>客户名称</th><th>联系人</th><th>地址</th></tr>");
		List<Customer> customers = customerMapper.selectList(null);
		for (Customer customer : customers) {
			sb.append("<tr><td>" + customer.getFCompanyName() + "</td><td>" + customer.getFContactName() + "</td><td>" + customer.getFAddress() + "</td></tr>");
		}
		sb.append("</table>");
		
		return sb.toString();
    }

}
